# &kde;-gebruikershandleiding

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

&kde;-daemon - start Sycoca-database-updates wanneer nodig.

## Samenvatting

    kded4 --help Algemene-opties Qt-opties KDE-opties --check

## Beschrijving

`kded4` is verantwoordelijk voor het aanmaken van het sycoca-bestand, dwz. de binaire cache van service-typen, mime-typen en services voor een specifieke gebruiker.

Het bekijkt de mappen die .desktop-bestanden bevatten. Wanneer een bestand wordt toegevoegd/verwijderd, dan wacht het 5 seconden (voor het geval van een serie wijzigingen) en start dan `kbuildsycoca`.

## Algemene opties

`--author`

  Auteurinformatie tonen.

`--help`

  Hulp over de opties tonen.

`--help-all`

  Alle opties tonen.

`--help-kde`

  KDE specifieke opties tonen.

`--help-qt`

  Qt-specifieke opties tonen.

`--license`

  Licentie-informatie tonen.

`-v` `--version`

  Versie-informatie tonen

## Programmaopties

`--check`

  Controleer de Sycoca-database slechts een keer.

## Gebruik

Als `kded4` wordt opgeroepen zonder parameters en het draait al, dan wordt de volgende boodschap getoond:

    KDE-daemon (kded) draait al.

Als `kded4` wordt aangeroepen met `kded4 --check`, dan werkt het de &kde;-sycoca bij met gebruik van `kbuildsycoca`.

## Zie ook

kdeopties(7), qtopties(7), kbuildsycoca(8)

## Fouten/bugs

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org om ze te rapporteren.